import pageScroll from './pageScroll/pageScroll.vue';
import Toast from './toast/toast';


const version = '1.1.0';
const install = function(Vue, config = {}) {
  if (install.installed) return;

  Vue.component(pageScroll.name, pageScroll);

  Vue.$toast = Vue.prototype.$toast = Toast;
};

// auto install
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
};

export {
  install,
  pageScroll,
  Toast
};
